/*
	Stargate SENT for GarrysMod10
	Copyright (C) 2007  aVoN

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
StarGate.LifeSupportAndWire(ENT); -- When you need to add LifeSupport and Wire capabilities, you NEED TO CALL this before anything else or it wont work!
--################# HEADER #################
ENT.Type = "anim";
ENT.Author = "aVoN";
ENT.PrintName = "stargate_base_entity";
ENT.Category = "Stargate";

ENT.Spawnable = false;
ENT.AdminSpawnable = false;
ENT.WireDebugName = "Stargate";
ENT.IsStargate = true;

--################# SENT CODE ###############
--################# Defines
-- Stores the chevron positions for the dyn-lights
ENT.chev_pos = {
	Vector(2.1883,56.8480,117.1900), -- Chevron 1
	Vector(2.1906,84.8159,68.0387), -- 2
	Vector(2.1935,74.0602,7.2254), -- 3
	Vector(2.1952,-75.2123,8.8901), -- 4
	Vector(2.1949,-85.7819,66.1261), -- 5
	Vector(2.1921,-56.6188,118.2584), -- 6
	Vector(2.1837,-0.3143,138.8647), -- 7 (normal travel)
	Vector(2.1905,27.5605,-30.0398), -- 8 (intergalactic travel - later for server-to-server travel)
	Vector(2.1964,-32.0372,-28.7796), -- 9 The chevron 9, nobody knows, for what reason it is good for. Alternative universes?
}